html, body {margin: 0; padding: 0;} html {font-size: 100%; -webkit-text-size-adjust: 100%; text-size-adjust: 100%;}

@font-face {font-family: 'OpenSans'; font-style: normal; font-weight: 400; font-display: block;
  src: local(''), url('fonts/open-sans-400.woff2') format('woff2'), url('fonts/open-sans-400.woff') format('woff');
}
@font-face {font-family: 'OpenSans'; font-style: normal; font-weight: 600; font-display: block;
  src: local(''), url('fonts/open-sans-600.woff2') format('woff2'), url('fonts/open-sans-600.woff') format('woff');
}

body {font-family: 'OpenSans', Arial, Verdana, Geneva; font-variant-ligatures: none; font-size: 100%;}

#width {position: fixed; top: 0; z-index: 20; padding: 0 3px; font-size: 11px; line-height: 14px; font-family: Arial, Helvetica, sans-serif; background-color: #FF0;}
a, a:visited, a:hover {color: #2E3FE1;} a {text-decoration: underline; text-decoration-thickness: 1px; text-decoration-style: dotted; text-underline-offset: .13em; cursor: pointer;}
a:focus-visible {outline: 2px solid #66AFE9; outline-offset: 2px;}
a, .ham {-webkit-tap-highlight-color: transparent;} img {border: 0;}
.phlink {color: inherit !important; text-decoration: none !important; white-space: nowrap;} .phlink:hover {cursor: text;}

/*------------------------------------*/

/*HEADER*/

/*header {border: 1px solid green} #headtext {border: 1px solid orange} #headtext h1 {border: 1px solid #666;} #phosoc {border: 1px solid #999;} #phosoc {border: 2px solid magenta} #phone {border: 2px solid green;} #social {border: 1px solid red} #social a {border: 1px solid #444}
#logo {border: 1px solid blue} #logo img {border: 1px solid orange} #logo a {border: 1px solid cyan}*/

header {width: 100%; margin: 0 auto; z-index: 1;}
header section:first-child {display: table; height: 100%; position: relative; margin: auto; text-align: center; width: 95%; max-width: 1650px;}
header div {display: table-cell;} header div:not(.navback div) {vertical-align: middle;}

#headtext h1 {text-align: center; margin: 0 auto; font-style: italic; font-weight: 400; line-height: 1.4; padding: 0 25px;}
#logo img {display: block; width: 150px; height: 111px;}
#phone {font-size: 22px; font-weight: 600;} #phone, #social {white-space: nowrap;}

#social img {height: 26px; width: 26px; display: inline-block; margin: 0 2px -5px 2px;}
@keyframes shake {20% {-webkit-transform: rotateZ(-8deg);} 80% {-webkit-transform: rotateZ(8deg);}}
#social img:hover {-webkit-animation: shake .16s 5;}

@media (min-width: 746px) {#headtext h1 span {display: block;}}
@media (min-width: 601px) {#headtext h1 {font-size: 20px;}}
@media (max-width: 600px) {#headtext h1 {font-size: 3.1vw; padding: 0 15px;} header section:first-child {width: 93%;}}
@media (min-width: 501px) {
header section:first-child {padding: 0; overflow: hidden;} #logo {padding: 20px 0;} #logo a {display: table-cell;}
#logo, #phosoc {width: 150px;}
#phosoc > div {display: table; height: 100%; width: 100%; margin-left: 0; box-sizing: border-box;}
/*if social:*/ #phone {position: absolute; right: 0; padding-top: 13px;} /*if no social: #phone {text-align: right; padding-bottom: 3px;}*/
#social {display: table-cell; text-align: right; height: 50%; padding-bottom: 8px; vertical-align: bottom;}
}
@media (max-width: 530px) {#headtext, #headtext h1 {visibility: hidden; width: 0; padding: 0; font-size: 0;}}
@media (max-width: 500px) {
header {-webkit-display: flex; display: flex; -webkit-flex-direction: column; flex-direction: column; border-bottom: 6px solid var(--menuback);}
header section:first-child {-webkit-order: 2; order: 2;} header section:last-child {-webkit-order: 1; order: 1;}
header div {display: block;} #logo img {margin: 20px auto 0 auto; padding: 0 15px;}
#logo, #phosoc {width: auto; text-align: center;} #logo a {display: inline-block;} #phone {margin: 15px auto; font-size: 26px;}
#social {position: absolute; right: 0; bottom: 19px;}
}
@media (min-width: 401px) {#social img {display: inline-block; margin: 0 1px -5px 1px;}}
@media (max-width: 400px) and (min-width: 341px) {#social {width: 26px; right: 5px;} #social img {display: block; margin-top: 12px;}}
@media (max-width: 340px) {#phone {text-align: left;}}

/*-----------------------------------------------*/

/*MENU*/

/*.navback {border: 1px solid #DDD;} nav {border: 1px solid magenta;} nav div {border: 1px solid blue;}
nav a {border: 1px solid cyan !important;} .ham {border: 1px solid black;}*/

.navback {z-index: 1;} #navcheck {display: none;} nav, nav a {-webkit-user-select: none; user-select: none;}
nav .selected {cursor: text; pointer-events: none;} nav a {text-decoration: none; font-size: 20px; line-height: 1.3;}

@media (min-width: 1416px) {nav a {height: 50px;}}
@media (max-width: 1415px) and (min-width: 821px) {nav a {height: 60px; font-size: 19px;} nav span {display: block;}}

@media (min-width: 891px) {nav a {padding: 2px 22px 4px 22px;}}
@media (max-width: 890px) and (min-width: 821px) {nav a {padding: 2px 17px 4px 17px;}}

@media (min-width: 821px) {
.ham {display: none;} nav {display: table; text-align: center; margin: auto;} nav a {transition: .2s;}
nav div, nav a {display: table-cell; vertical-align: middle; white-space: nowrap;}
}
@media (max-width: 821px) {
nav {text-align: center; visibility: hidden; margin: 0 0 0 -1px; border-bottom: 1px solid var(--menuline); font-size: 0; line-height: 0;}
nav div {max-height: 0; display: inline-block; width: 50%; transition: .2s ease-in-out; font-size: 0; line-height: 0; padding: 0;}
nav a {width: 1%; height: 0;display: table-cell; vertical-align: middle; opacity: 0; font-size: 0; padding: 0; -webkit-transition: .15s background, .3s font-size ease-out, .2s opacity ease-out, .3s padding ease-out, .25s height; border-top: 1px solid var(--menuline); border-left: 1px solid var(--menuline);}

#navcheck:checked ~ nav {visibility: visible;}
#navcheck:checked ~ nav div {max-height: 100px;}
#navcheck:checked ~ nav a {height: 60px; font-size: 22px; opacity: 1; padding: 0 0 1px 0;}

#navcheck:checked ~ .ham div {width: 0; transform: rotateX(180deg); transition-timing-function: ease;}
#navcheck:checked ~ .ham div:before {-webkit-transform: rotateZ(37deg); top: 0;}
#navcheck:checked ~ .ham div:after {-webkit-transform: rotateZ(-37deg); top: 0;}

.ham, .ham * {-webkit-touch-callout: none; -webkit-user-select: none; user-select: none; touch-action: manipulation;}
.ham {position: relative; display: table; height: 30px; width: 39px; margin: auto; padding: 10px;} .ham:hover {cursor: pointer;}
.ham div {top: 24px; left: 10px; -webkit-transition: -webkit-transform 0.35s ease-out;}
.ham div, .ham div:before, .ham div:after {position: absolute; display: block; content: ""; height: 3.5px; width: 38px; opacity: 1; background: #FFF; border-radius: 1px;}
.ham div:before {top: -10px;} .ham div:after {top: 10px;}
}

@media (max-width: 590px) {nav div:nth-child(3) span, nav div:nth-child(4) span {display: block;} #navcheck:checked ~ nav a {height: 75px;}}
@media (max-width: 500px) {.navback {margin-top: 2px;}} /*always stays 500px*/
@media (max-width: 450px) {nav span {display: block;}}
@media (max-width: 330px) {#navcheck:checked ~ nav a {font-size: 20px;}}

:root {--menuline: #FFF; --menuback: #53BCEB; --menuhover: #7BD2F9; --menuselect: #1A92C7}
.navback, nav {background-color: var(--menuback);} nav a {color: #FFF !important;}
nav .selected {background-color: var(--menuselect);} nav a:hover:not(.selected) {background-color: var(--menuhover); color: #000 !important;}

/*-----------------------------------------------*/

/*Big Pic*/

#homepic {position: relative; display: grid; overflow: hidden; z-index: 0; background-color: #716454;}
#homepic img {width: 500px; height: 300px; width: 100%; height: 100%; max-height: 420px; object-fit: cover; object-position: 50% 65%; display: block;}

/*-----------------------------------------------*/

/*BODY AREA*/

#bread {font-size: 14px; line-height: 1.4; margin-bottom: 30px;} .bahome #bread {margin-bottom: 20px;}

.bodyarea {padding: 10px 0 35px 0; margin: auto; width: 85%; max-width: 1500px;}
.bodyarea, h2 {font-size: 20px; line-height: 1.7; font-weight: 400 !important;}
.bodyhead {padding-bottom: 10px; font-weight: 600 !important; font-size: 1.75em; line-height: 1.25; text-align: center;}
h1, h2, h3 {margin: 0 !important;}

@media (max-width: 800px) {.bodyhead {font-size: 1.65em;}}
@media (max-width: 600px) {.bahome {padding-top: 0;}}
@media (max-width: 360px) {.bodyarea {width: 88%;} .bodyhead {font-size: 1.6em;}}

.heading, .heading2 {font-weight: 600; line-height: 1.35; display: table;} .heading {font-size: 1.45em;} .heading2 {font-size: 1.35em;}

.divide:nth-of-type(even) {background-color: #EEE;} .divide:not(:first-of-type) {padding-top: 35px;}
.divide:last-of-type {padding-bottom: 10px;}

ul, ol {margin-left: -15px;} ul span {font-weight: 600;}
ul li:not(ul li:last-child), ol li:not(ol li:last-child) {padding-bottom: 15px;}

/*Sidewalks page*/

@media (min-width: 1626px) {.misc1 {display: table;}} @media (min-width: 1751px) {.misc2 {display: table;}}

/*-----------------------------------------------*/

/*Commercial Services blocks*/

.container23 {margin: 30px auto 20px auto; font-size: .95em; line-height: 1.4;}
.container23 div {padding: 12px 15px 10px 15px; margin: 5px; align-content: center; background-color: #D2EBF6; color: #333; border-radius: 4px; border: 2px solid #FFF;}

@media (min-width: 1066px) {.container23 {grid-template-columns: repeat(4, 1fr);}}
@media (max-width: 1065px) {.container23 {grid-template-columns: repeat(3, 1fr);}}
@media (max-width: 800px) {.container23 {grid-template-columns: repeat(2, 1fr);}}
@media (min-width: 526px) {.container23 {display: grid; max-width: 1000px;}}
@media (max-width: 525px) {.container23 {max-width: 360px; margin: 25px auto;} .container23 div {margin: 5px 0;}}

/*-----------------------------------------------*/

/*Page Pics*/

.pagepic img {border-radius: 3px; width: 500px; height: 300px; width: 100%; height: auto; display: block; margin: auto;}
/*.pagepic h4, .pagepic p {font-size: .9em; line-height: 1.45; margin: 10px auto 0 auto !important; text-align: center; font-weight: 400 !important;}*/
.picwide {max-width: 500px;} .pictall {max-width: 350px;}
.picleft {float: left; margin: 10px 40px 20px 0;} .picright {float: right; margin: 10px 0 30px 40px;}
@media (max-width: 1050px) and (min-width: 871px) {.picwide {max-width: 430px;}}
@media (max-width: 870px) {.picleft, .picright {text-align: center; float: none; margin: 35px auto;} .pictall {max-width: 400px;}}

#album {margin: 20px auto !important;} #album div {border-radius: 3px;}

.twopics {display: table; margin: 40px auto 30px auto;}
.twopics div {display: table-cell; vertical-align: middle;}
.twopics img {border-radius: 3px; width: 500px; height: 300px; width: 100%; height: auto; display: block; margin: auto;}
.tpwide {max-width: 500px;} .tptall {max-width: 350px;}
@media (min-width: 701px) {.twopics div:first-child {padding-right: 2%;} .twopics div:last-child {padding-left: 2%;}}
@media (max-width: 700px) {.twopics div {display: block;} .twopics div:last-child {padding-top: 30px;}}

/*-----------------------------------------------*/

/*BOTTOM AREA*/

#serving {font-size: 11px; line-height: 1.4; color: #BBB; font-family: Arial, Helvetica, sans-serif;}
#serving a, .nolink {color: inherit !important; text-decoration: none !important; cursor: text; white-space: nowrap;}

footer {font-size: 15px; line-height: 1.6; padding: 25px; text-align: center;}
footer a {white-space: nowrap;} footer p {margin: 13px auto;} .btmph {margin-top: 5px; font-size: 20px;}
.web {margin-top: 20px; font-size: 13px; font-family: Arial, Helvetica, sans-serif; color: #DDD !important;}
.web a {font-style: italic; text-decoration: none;} .web a:hover {text-decoration: underline;}

#totop {position: fixed; right: 14px; bottom: 12px; z-index: 100; width: 28px; height: 28px; display: grid; align-items: center; justify-content: center; text-decoration: none; font-family: Arial, sans-serif; font-size: 24px; color: #999 !important; line-height: 0; transform: rotate(270deg);}

/*====================================================*/

/*COLORS*/

body, #phone, #phone a {color: #555;} body {background-color: #FFF;} #headtext {color: inherit;}
.bodyhead {color: var(--menuselect);} .heading {color: #000;} .heading2 {color: #555;}
footer {background-color: #444;} footer, footer a {color: #FFF !important;}
